=== libpostproc/Makefile ===
NAME = postproc

HEADERS = postprocess.h

OBJS = postprocess.o
