=== debian/changelog ===
libpostproc (6:0.git20120821-4) unstable; urgency=low

  * Bug fix: "FTBFS: make[1]: *** No rule to make target
    `/common.mak'.  Stop.", thanks to David Suárez (Closes: #724095).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 09 Oct 2013 08:49:32 -0400

libpostproc (6:0.git20120821-3) unstable; urgency=low

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Aug 2013 18:12:33 +0200

libpostproc (6:0.git20120821-2) experimental; urgency=low

  * Add lintian override. This package does not duplicate, but rather
    externalizes it.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Nov 2012 20:30:24 +0100

libpostproc (6:0.git20120821-1) experimental; urgency=low

  * New Upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Nov 2012 19:17:58 +0100

libpostproc (6:0.git20120217-2) experimental; urgency=low

  * Bump epoch again to fix messed upload to experimental (Closes: #670762)
    (this time for real!)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Apr 2012 10:31:11 +0200

libpostproc (5:0.git20120217-1) experimental; urgency=low

  * Initial release (Closes: #670052)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Apr 2012 17:26:38 +0200
