=== debian/control ===
Source: libpostproc
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.0.0), libavutil-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://git.videolan.org/?p=libpostproc.git;a=summary
Vcs-Git: git://git.debian.org/pkg-multimedia/libpostproc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libpostproc.git;a=summary

Package: libpostproc-dev
Section: libdevel
Architecture: any
Depends: libpostproc52 (= ${binary:Version}), ${misc:Depends}
Description: FFmpeg derived postprocessing library - development headers
 This package contains the postprocessing library for legacy
 applications.
 .
 This package contains the development headers for the libpostproc
 library.

Package: libpostproc52
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg derived postprocessing library
 This package contains the postprocessing library for legacy
 applications.
 .
 The upsream development for this library has stalled. Please consider
 porting existing applications to better alternatives.
