=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	! test -f config.mak || dh_auto_clean

override_dh_auto_configure:
	./configure --enable-shared --prefix=/usr

override_dh_auto_build:
	$(MAKE) V=1

%:
	dh $@
